import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars
import Reference
import EnemyTypes
import Sparks
import Actions
import ItemTypes
import GenFX
import EnmGenRnd
import OnOff
import LevelFuncs
import Auras
import Breakings
import Basic_Funcs
import Damage
import whrandom
import Scorer
import stone
import heavyObjects



############ door sounds ###########################


sdoor1d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
sdoor1d.MaxDistance=20000
sdoor1d.MinDistance=1000
sdoor1d.Volume=1.0

sdoor1g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
sdoor1g.MaxDistance=20000
sdoor1g.MinDistance=2000
sdoor1g.Volume=1.0

sdoor1b=Sounds.CreateEntitySound("..\\..\\Sounds\\block-sliding.wav", "Block")
sdoor1b.MaxDistance=20000
sdoor1b.MinDistance=2000
sdoor1b.Volume=1.0



door4=Doors.CreateDoor("door4", ( 84000, -12250, -19000), (0,1,0), 500, 4500, Doors.CLOSED)

door4.opentype=Doors.UNIF
door4.o_med_vel=-800
door4.o_med_displ=4000
door4.SetWhileOpenSound(sdoor1d)
door4.SetEndOpenSound(sdoor1g)

door4.closetype=Doors.AC
door4.c_init_displ=4000
door4.c_med_vel=8000
door4.SetWhileCloseSound(sdoor1d)
door4.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( 84000, -15500, -30000, Cierradoor4)


door6=Doors.CreateDoor("door6", ( 52000, -10250, -70500), (0,1,0), 500, 4500, Doors.CLOSED)

door6.opentype=Doors.UNIF
door6.o_med_vel=-800
door6.o_med_displ=4000
door6.SetWhileOpenSound(sdoor1d)
door6.SetEndOpenSound(sdoor1g)

door6.closetype=Doors.AC
door6.c_init_displ=4000
door6.c_med_vel=8000
door6.SetWhileCloseSound(sdoor1d)
door6.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( 44000, -8000, -82000, Cierradoor6)


door9=Doors.CreateDoor("door9", ( -6000, -9250, -56500), (0,1,0), 0, 4500, Doors.CLOSED)

door9.opentype=Doors.UNIF
door9.o_med_vel=-800
door9.o_med_displ=4500
door9.SetWhileOpenSound(sdoor1b)
door9.SetEndOpenSound(sdoor1g)

door9.closetype=Doors.AC
door9.c_init_displ=4500
door9.c_med_vel=8000
door9.SetWhileCloseSound(sdoor1b)
door9.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( -6000, -14000, -32000, Cierradoor9)	




door1=Doors.CreateDoor("door1", ( 67500, -12250, 35500), (0,1,0), 500, 4500, Doors.CLOSED)

door1.opentype=Doors.UNIF
door1.o_med_vel=-800
door1.o_med_displ=4000
door1.SetWhileOpenSound(sdoor1d)
door1.SetEndOpenSound(sdoor1g)


door1.closetype=Doors.AC
door1.c_init_displ=4000
door1.c_med_vel=8000
door1.SetWhileCloseSound(sdoor1d)
door1.SetEndCloseSound(sdoor1g)



palanm1=Levers.PlaceLever("PALAm1",Levers.LeverType3,( 68900, -13000, 38100),( 0.265, 0.265, 0.655, -0.655),0.8)
palanm1.mode=1

palanm1.OnTurnOnFunc=Abredoor1
palanm1.OnTurnOnArgs=()

palanm1.OnTurnOffFunc=Cierradoor1
palanm1.OnTurnOffArgs=()



doorF=Doors.CreateDoor("doorF", ( -6000, -10750, -71125), (0,1,0), 0, 2500, Doors.CLOSED)

doorF.opentype=Doors.UNIF
doorF.o_med_vel=-400
doorF.o_med_displ=2500
doorF.SetWhileOpenSound(sdoor1b)
doorF.SetEndOpenSound(sdoor1g)

doorF.closetype=Doors.AC
doorF.c_init_displ=2500
doorF.c_med_vel=400

darfuncs.EnterSecEvent( -6000, -8000, -52000, CierradoorF)

door2=Doors.CreateDoor("door2", ( 100500, -12250, 35500), (0,1,0), 500, 4500, Doors.CLOSED)

door2.opentype=Doors.UNIF
door2.o_med_vel=-800
door2.o_med_displ=4000
door2.SetWhileOpenSound(sdoor1d)
door2.SetEndOpenSound(sdoor1g)

door2.closetype=Doors.AC
door2.c_init_displ=4000
door2.c_med_vel=8000
door2.SetWhileCloseSound(sdoor1d)
door2.SetEndCloseSound(sdoor1g)



palanm2=Levers.PlaceLever("PALAm2",Levers.LeverType3,( 101850, -13000, 32000),( 0.5, 0.5, 0.5, -0.5),0.8)
palanm2.mode=1

palanm2.OnTurnOnFunc=Abredoor2
palanm2.OnTurnOnArgs=()

palanm2.OnTurnOffFunc=Cierradoor2
palanm2.OnTurnOffArgs=()





door3=Doors.CreateDoor("door3", ( 84000, -12250, 12000), (0,1,0), 500, 4500, Doors.CLOSED)

door3.opentype=Doors.UNIF
door3.o_med_vel=-800
door3.o_med_displ=4000
door3.SetWhileOpenSound(sdoor1d)
door3.SetEndOpenSound(sdoor1g)

door3.closetype=Doors.AC
door3.c_init_displ=4000
door3.c_med_vel=8000
door3.SetWhileCloseSound(sdoor1d)
door3.SetEndCloseSound(sdoor1g)



palanm3=Levers.PlaceLever("PALAm3",Levers.LeverType3,( 84000, -13000, 30850),( 0.707107, 0.707107, 0, 0),0.8)
palanm3.mode=1

palanm3.OnTurnOnFunc=Abredoor3
palanm3.OnTurnOnArgs=()

palanm3.OnTurnOffFunc=Cierradoor3
palanm3.OnTurnOffArgs=()




	
door11=Doors.CreateDoor("door11", ( -61500, -15250, -4000), (0,1,0), 0, 4500, Doors.CLOSED)

door11.opentype=Doors.UNIF
door11.o_med_vel=-800
door11.o_med_displ=4500
door11.SetWhileOpenSound(sdoor1b)
door11.SetEndOpenSound(sdoor1g)

door11.closetype=Doors.AC
door11.c_init_displ=4500
door11.c_med_vel=8000
door11.SetWhileCloseSound(sdoor1b)
door11.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( -69000, -10000, -4000, Cierradoor11)



doorW=Doors.CreateDoor("doorW", ( 84000, -12250, 3500), (0,1,0), 0, 4500, Doors.CLOSED)

doorW.opentype=Doors.UNIF
doorW.o_med_vel=-800
doorW.o_med_displ=4500

doorW.closetype=Doors.AC
doorW.c_init_displ=4500
doorW.c_med_vel=8000
doorW.SetWhileCloseSound(sdoor1b)
doorW.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( 84000, -11000, 30000, AbredoorW)
darfuncs.EnterSecEvent( 84000, -11000, 2000, CierradoorW)



doorI=Doors.CreateDoor("doorI", ( 90500, -17250, -42000), (0,1,0), 500, 4500, Doors.CLOSED)

doorI.opentype=Doors.UNIF
doorI.o_med_vel=-800
doorI.o_med_displ=4000
doorI.SetWhileOpenSound(sdoor1b)
doorI.SetEndOpenSound(sdoor1g)

doorI.closetype=Doors.AC
doorI.c_init_displ=4000
doorI.c_med_vel=8000
doorI.SetWhileCloseSound(sdoor1b)
doorI.SetEndCloseSound(sdoor1g)



palanmI=Levers.PlaceLever("PALAmI",Levers.LeverType3,( 84000, -18000, -47400),( 0.707107, 0.707107, 0, 0),0.8)
palanmI.mode=1

palanmI.OnTurnOnFunc=AbredoorI
palanmI.OnTurnOnArgs=()

palanmI.OnTurnOffFunc=CierradoorI
palanmI.OnTurnOffArgs=()



door5=Doors.CreateDoor("door5", ( 77500, -17250, -42000), (0,1,0), 500, 4500, Doors.CLOSED)

door5.opentype=Doors.UNIF
door5.o_med_vel=-800
door5.o_med_displ=4000
door5.SetWhileOpenSound(sdoor1d)
door5.SetEndOpenSound(sdoor1g)

door5.closetype=Doors.AC
door5.c_init_displ=4000
door5.c_med_vel=8000
door5.SetWhileCloseSound(sdoor1d)
door5.SetEndCloseSound(sdoor1g)



palanm5=Levers.PlaceLever("PALAm5",Levers.LeverType3,( 93750, -18000, -39150),(  0.707107, 0.707107, 0, 0),0.8)
palanm5.mode=1

palanm5.OnTurnOnFunc=Abredoor5
palanm5.OnTurnOnArgs=()

palanm5.OnTurnOffFunc=Cierradoor5
palanm5.OnTurnOffArgs=()


	




doorM=Doors.CreateDoor("doorM", ( 52000, -10250, -50500), (0,1,0), 0, 4500, Doors.CLOSED)

doorM.opentype=Doors.UNIF
doorM.o_med_vel=-4000
doorM.o_med_displ=4500

doorM.closetype=Doors.AC
doorM.c_init_displ=4500
doorM.c_med_vel=8000
doorM.SetWhileCloseSound(sdoor1b)
doorM.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( 75000, -16000, -42000, AbredoorM)
darfuncs.EnterSecEvent( 52000, -8000, -53000, CierradoorM)



door7=Doors.CreateDoor("door7", ( 10500, -9250, -64000), (0,1,0), 500, 4500, Doors.CLOSED)

door7.opentype=Doors.UNIF
door7.o_med_vel=-800
door7.o_med_displ=4000
door7.SetWhileOpenSound(sdoor1d)
door7.SetEndOpenSound(sdoor1g)

door7.closetype=Doors.AC
door7.c_init_displ=4000
door7.c_med_vel=8000
door7.SetWhileCloseSound(sdoor1d)
door7.SetEndCloseSound(sdoor1g)



palanm7=Levers.PlaceLever("PALAm7",Levers.LeverType3,( 11150, -10000, -61000),( 0.5, 0.5, -0.5, 0.5),0.8)
palanm7.mode=1

palanm7.OnTurnOnFunc=Abredoor7
palanm7.OnTurnOnArgs=()

darfuncs.EnterSecEvent( 8000, -8000, -64000, Cierradoor7)




door8=Doors.CreateDoor("door8", ( 1500, -9250, -64000), (0,1,0), 0, 4500, Doors.CLOSED)

door8.opentype=Doors.UNIF
door8.o_med_vel=-4000
door8.o_med_displ=4500

door8.closetype=Doors.AC
door8.c_init_displ=4500
door8.c_med_vel=8000
door8.SetWhileCloseSound(sdoor1b)
door8.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( 12000, -8000, -61000, Abredoor8)
darfuncs.EnterSecEvent( 0, -8000, -64000, Cierradoor8)



	




door10=Doors.CreateDoor("door10", ( -24500, -15250, -4000), (0,1,0), 0, 4500, Doors.CLOSED)

door10.opentype=Doors.UNIF
door10.o_med_vel=-800
door10.o_med_displ=4500

door10.closetype=Doors.AC
door10.c_init_displ=4500
door10.c_med_vel=8000
door10.SetWhileCloseSound(sdoor1b)
door10.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( -6000, -8000, -54000, Abredoor10)
darfuncs.EnterSecEvent( -32000, -14000, -4000, Cierradoor10)




doorCH=Doors.CreateDoor("doorCH", ( -209500, -11250, 31500), (0,1,0), 500, 4500, Doors.CLOSED)

doorCH.opentype=Doors.UNIF
doorCH.o_med_vel=-800
doorCH.o_med_displ=4000
doorCH.SetWhileOpenSound(sdoor1d)
doorCH.SetEndOpenSound(sdoor1g)

doorCH.closetype=Doors.AC
doorCH.c_init_displ=4000
doorCH.c_med_vel=8000
doorCH.SetWhileCloseSound(sdoor1d)
doorCH.SetEndCloseSound(sdoor1g)



palanmCH=Levers.PlaceLever("PALAmCH",Levers.LeverType3,( -211850, -12000, 33500),( 0.5, 0.5, -0.5, 0.5),0.8)
palanmCH.mode=1

palanmCH.OnTurnOnFunc=AbredoorCH
palanmCH.OnTurnOnArgs=()

darfuncs.EnterSecEvent( -209500, -10000, 24000, CierradoorCH)



doorCK2=Doors.CreateDoor("doorCK2", ( -164000, -19250, 39000), (0,1,0), 500, 4500, Doors.CLOSED)

doorCK2.opentype=Doors.UNIF
doorCK2.o_med_vel=-800
doorCK2.o_med_displ=4000
doorCK2.SetWhileOpenSound(sdoor1d)
doorCK2.SetEndOpenSound(sdoor1g)

doorCK2.closetype=Doors.AC
doorCK2.c_init_displ=4000
doorCK2.c_med_vel=8000
doorCK2.SetWhileCloseSound(sdoor1d)
doorCK2.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( -175000, -19500, 39000, CierradoorCK2)




doorEX2=Doors.CreateDoor("doorEX2", ( -200500, -11250, 19000), (0,1,0), 500, 4500, Doors.CLOSED)

doorEX2.opentype=Doors.UNIF
doorEX2.o_med_vel=-800
doorEX2.o_med_displ=4000
doorEX2.SetWhileOpenSound(sdoor1d)
doorEX2.SetEndOpenSound(sdoor1g)

doorEX2.closetype=Doors.AC
doorEX2.c_init_displ=4000
doorEX2.c_med_vel=8000
doorEX2.SetWhileCloseSound(sdoor1d)
doorEX2.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( -197000, -10000, 15000, CierradoorEX2)



doorEX1=Doors.CreateDoor("doorEX1", ( -218500, -11250, 19000), (0,1,0), 500, 4500, Doors.CLOSED)

doorEX1.opentype=Doors.UNIF
doorEX1.o_med_vel=-800
doorEX1.o_med_displ=4000
doorEX1.SetWhileOpenSound(sdoor1d)
doorEX1.SetEndOpenSound(sdoor1g)

doorEX1.closetype=Doors.AC
doorEX1.c_init_displ=4000
doorEX1.c_med_vel=8000
doorEX1.SetWhileCloseSound(sdoor1d)
doorEX1.SetEndCloseSound(sdoor1g)

darfuncs.EnterSecEvent( -222000, -10000, 15000, CierradoorEX1)